Bug 962439 - gallery3: XSS in Movie controller due improper sanitization of (certain) movie title(s) when saving movies
gallery3: XSS in Movie controller due improper sanitization of (certain) movi...
Status: CLOSED DUPLICATE of bug 962437
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130422,repor...
: Security
Depends On: 962440 962441
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 09:52 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:44 EST (History)
1 user (show)

See Also:
Fixed In Version: Gallery-3.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 04:55:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-05-13 09:52:09 EDT
A cross-site scripting (XSS) flaw was found in the way Movie controller of Gallery, an open source project with the goal to develop and support leading photo sharing web application solutions, performed sanitization of certain movie title arguments, when saving movies. A remote attacker could provide a specially-crafted web page that, when visited by valid Gallery user, would lead to arbitrary HTML or web script execution in the context of particular Gallery user's session.

References:
[1] http://www.openwall.com/lists/oss-security/2013/05/13/2
[2] http://galleryproject.org/gallery_3_0_7

Relevant upstream patch:
[3] https://github.com/gallery/gallery3/commit/0f28d4cee460dfada48bd6c81470db62e48b16d0
Comment 1 Jan Lieskovsky 2013-05-13 09:53:07 EDT
This issue affects the versions of the gallery3 package, as shipped with Fedora release of 17, 18, and Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-05-13 09:55:04 EDT
Created gallery3 tracking bugs for this issue

Affects: fedora-all [bug 962440]
Affects: epel-6 [bug 962441]
Comment 3 Jan Lieskovsky 2013-05-13 10:04:18 EDT
This issue did NOT affect the versions of the gallery2 package, as shipped with Fedora release of 17, 18, and Fedora EPEL-5, as they did NOT contain the vulnerable code part / functionality yet.
Comment 4 Jan Lieskovsky 2013-05-14 04:55:34 EDT

*** This bug has been marked as a duplicate of bug 962437 ***

Note You need to log in before you can comment on or make changes to this bug.